from Schedule import *

class FIFOMistral(Schedule):
    """
    Mistral(file_name, sorting function)

    solve the jobs using a FIFO strategy and using only mistral
    """

    def __init__(self,*args):
        super(FIFOMistral,self).__init__(args[0],args[1])
            
    def create_jobs(self):
        self.current_job = 0
        
    def getjob(self,client):
        if self.current_job < len(self.instances):
            job = self.current_job
            self.current_job += 1
            return (job,"mistral",TIMEOUT)
        else:
            return (NO_JOB,"",TIMEOUT)